# Misc/General
set -g allow-rename on
set -g pane-border-status bottom
set-option -g pane-active-border-style fg=cyan
set-option -g pane-border-style fg=blue
set -g history-limit 100000
set -g renumber-windows on
set -g clock-mode-style 24
set -g status-interval 5
set -g display-time 3000
set -g status-keys emacs
setw -g aggressive-resize on

# Enable RGB colour if running in xterm(1)
set-option -sa terminal-overrides ",xterm*:Tc" 

# Change the default $TERM to tmux-256color
set -g default-terminal "tmux-256color"

# Some extra key bindings to select higher numbered windows
bind F1 selectw -t:10
bind F2 selectw -t:11
bind F3 selectw -t:12
bind F4 selectw -t:13
bind F5 selectw -t:14
bind F6 selectw -t:15
bind F7 selectw -t:16
bind F8 selectw -t:17
bind F9 selectw -t:18
bind F10 selectw -t:19
bind F11 selectw -t:20
bind F12 selectw -t:21


# If running inside tmux ($TMUX is set), then change the status line to warn user
%if #{TMUX}
set -g status-bg yellow
%endif 

# Status line/bar
set -g status-right " #{?client_prefix,#[reverse]<Prefix>#[noreverse] ,} %H:%M %Y-%m-%d"
set -g window-status-current-style "underscore"

# plugins
set -g @plugin 'tmux-plugins/tpm'
set -g @plugin 'laktak/extrakto'
set -g @plugin 'jaclu/tmux-menus'

# Initialize TMUX plugin manager (keep this line at the very bottom of tmux.conf)
run '~/.tmux/plugins/tpm/tpm'

# plugin config
set -g @menus_trigger '<prefix> m'

# clipboard related
set -g @extrakto_clip_tool 'tmux loadb -'
if 'command -v termux-clipboard-set' {
    set -g @extrakto_clip_tool termux-clipboard-set
}
